// Add class so that we can style skip links
const handleFirstTab = e => {
  if (e.keyCode === 9) {
    // the "I am a keyboard user" key
    document.documentElement.classList.add("is-tabbing");
    document.documentElement.classList.remove("is-not-tabbing");
    window.removeEventListener("keydown", handleFirstTab);
  }
};


// Set the tab index
const setTabbing = (matches, mainElems, panelElems) => {
  const badLinks = matches ? mainElems : panelElems;
  const goodLinks = matches ? panelElems : mainElems;
  badLinks.forEach(link => {
    link.setAttribute("tabindex", "-1");
  });
  goodLinks.forEach(link => {
    link.removeAttribute("tabindex");
  });
};

// Hide the footer elements if necessary
const hideFooter = () => {
  const mql = window.matchMedia("(min-width: 40em)");
  const mainFooter = document.querySelector("body > .footer--site");
  const mainElems = mainFooter.querySelectorAll("a, button");
  const mainContrast = mainFooter.querySelector(".js-contrast");
  const panelFooter = document.querySelector(".panel .footer--site");
  const panelElems = panelFooter.querySelectorAll("a, button");
  const panelContrast = panelFooter.querySelector(".js-contrast");
  setTabbing(mql.matches, mainElems, panelElems);
  idContrast(mql.matches, mainContrast, panelContrast);
  mql.addListener(e => {
    setTabbing(e.matches, mainElems, panelElems);
    idContrast(e.matches, mainContrast, panelContrast);
  });
};

window.addEventListener("keydown", handleFirstTab);


// Hover
document.addEventListener('DOMContentLoaded', function() {
  const hoverImages = document.querySelectorAll('.hover-image');
  
  hoverImages.forEach(element => {
    const imagePath = element.getAttribute('data-image');
    element.style.setProperty('--hover-image', `url('${imagePath}')`);
  });
});